curl --request GET \
--url 'https://api.tableflow.com/v2/flows/runs?status=completed&limit=50' \
--header 'Authorization: Bearer YOUR_API_KEY'
import requests
response = requests.get(
"https://api.tableflow.com/v2/flows/runs",
headers={
"Authorization": "Bearer YOUR_API_KEY"
},
params={
"status": "completed",
"limit": 50
}
)
result = response.json()
flow_runs = result["flow_runs"]
const response = await fetch("https://api.tableflow.com/v2/flows/runs?status=completed&limit=50", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const result = await response.json();
const flowRuns = result.flow_runs;
{
"flow_runs": [
{
"id": "Wp7kRnT2mX4vQ9bL",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "completed",
"status_history": [
{
"status": "processing",
"time": 1682366228,
"message": "Flow started via api"
},
{
"status": "completed",
"time": 1682366258,
"message": "Flow completed successfully"
}
],
"error": null,
"metadata": {
"customer_id": "12345",
"order_number": "PO-2024-001"
},
"trigger_method": "api",
"start_time": 1682366228,
"end_time": 1682366258,
"duration": 30000,
"drive_files": {},
"created_at": 1682366228,
"updated_at": 1682366258
},
{
"id": "hN3cYs8fKj6pA5wD",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "processing",
"status_history": [
{
"status": "processing",
"time": 1682366328,
"message": "Flow started via api"
}
],
"error": null,
"metadata": {
"customer_id": "67890"
},
"trigger_method": "api",
"start_time": 1682366328,
"end_time": null,
"duration": 0,
"drive_files": {},
"created_at": 1682366328,
"updated_at": 1682366328
}
],
"pagination": {
"total": 250,
"limit": 100,
"offset": 0,
"next_offset": 100,
"filter": "all"
}
}
Flows
Get Flow Runs
Get a list of all flow runs in your workspace
GET
/
v2
/
flows
/
runs
curl --request GET \
--url 'https://api.tableflow.com/v2/flows/runs?status=completed&limit=50' \
--header 'Authorization: Bearer YOUR_API_KEY'
import requests
response = requests.get(
"https://api.tableflow.com/v2/flows/runs",
headers={
"Authorization": "Bearer YOUR_API_KEY"
},
params={
"status": "completed",
"limit": 50
}
)
result = response.json()
flow_runs = result["flow_runs"]
const response = await fetch("https://api.tableflow.com/v2/flows/runs?status=completed&limit=50", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const result = await response.json();
const flowRuns = result.flow_runs;
{
"flow_runs": [
{
"id": "Wp7kRnT2mX4vQ9bL",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "completed",
"status_history": [
{
"status": "processing",
"time": 1682366228,
"message": "Flow started via api"
},
{
"status": "completed",
"time": 1682366258,
"message": "Flow completed successfully"
}
],
"error": null,
"metadata": {
"customer_id": "12345",
"order_number": "PO-2024-001"
},
"trigger_method": "api",
"start_time": 1682366228,
"end_time": 1682366258,
"duration": 30000,
"drive_files": {},
"created_at": 1682366228,
"updated_at": 1682366258
},
{
"id": "hN3cYs8fKj6pA5wD",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "processing",
"status_history": [
{
"status": "processing",
"time": 1682366328,
"message": "Flow started via api"
}
],
"error": null,
"metadata": {
"customer_id": "67890"
},
"trigger_method": "api",
"start_time": 1682366328,
"end_time": null,
"duration": 0,
"drive_files": {},
"created_at": 1682366328,
"updated_at": 1682366328
}
],
"pagination": {
"total": 250,
"limit": 100,
"offset": 0,
"next_offset": 100,
"filter": "all"
}
}
Retrieves a paginated list of flow runs with optional filtering by flow ID or status.
Usage Notes
- Results are paginated with a default limit of 100
- Results are ordered by creation date (newest first)
- Use filters to narrow down results by flow or status
- The response includes complete flow run details
Request
string
Filter by a specific flow ID to only return runs for that flow.
string
Filter by status. Valid values:
processing, review, completed, or failed.number
default:"100"
Maximum number of results to return. Maximum value is 1000.
number
default:"0"
Number of results to skip for pagination.
Response
{
"flow_runs": [
{
"id": "Wp7kRnT2mX4vQ9bL",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "completed",
"status_history": [
{
"status": "processing",
"time": 1682366228,
"message": "Flow started via api"
},
{
"status": "completed",
"time": 1682366258,
"message": "Flow completed successfully"
}
],
"error": null,
"metadata": {
"customer_id": "12345",
"order_number": "PO-2024-001"
},
"trigger_method": "api",
"start_time": 1682366228,
"end_time": 1682366258,
"duration": 30000,
"drive_files": {},
"created_at": 1682366228,
"updated_at": 1682366258
},
{
"id": "hN3cYs8fKj6pA5wD",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "processing",
"status_history": [
{
"status": "processing",
"time": 1682366328,
"message": "Flow started via api"
}
],
"error": null,
"metadata": {
"customer_id": "67890"
},
"trigger_method": "api",
"start_time": 1682366328,
"end_time": null,
"duration": 0,
"drive_files": {},
"created_at": 1682366328,
"updated_at": 1682366328
}
],
"pagination": {
"total": 250,
"limit": 100,
"offset": 0,
"next_offset": 100,
"filter": "all"
}
}
curl --request GET \
--url 'https://api.tableflow.com/v2/flows/runs?status=completed&limit=50' \
--header 'Authorization: Bearer YOUR_API_KEY'
import requests
response = requests.get(
"https://api.tableflow.com/v2/flows/runs",
headers={
"Authorization": "Bearer YOUR_API_KEY"
},
params={
"status": "completed",
"limit": 50
}
)
result = response.json()
flow_runs = result["flow_runs"]
const response = await fetch("https://api.tableflow.com/v2/flows/runs?status=completed&limit=50", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const result = await response.json();
const flowRuns = result.flow_runs;
array
required
Array of flow run objects
Show Flow Run Object
Show Flow Run Object
string
required
The unique identifier for the flow run
string
required
The ID of the flow being executed
string
required
The workspace ID
string
required
Current status: processing, review, completed, or failed
array
required
History of status changes
string
Error message if the flow run failed
object
Custom metadata provided when running the flow
string
required
How the flow was triggered: api or manual
number
required
Unix timestamp when the flow run started
number
Unix timestamp when the flow run completed
number
required
Duration of the flow run in milliseconds
object
Google Drive files created during the flow
number
required
Unix timestamp when created
number
required
Unix timestamp when last updated
⌘I